package threads_account

import (
	"net/http"

	"haixun-backend/internal/logic/threads_account"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func ListThreadsOauthLogsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := threads_account.NewListThreadsOAuthLogsLogic(r.Context(), svcCtx)
		data, err := l.ListThreadsOAuthLogs()
		response.Write(r.Context(), w, data, err)
	}
}
